Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53511 - [nvidia-304xx-lts] kernel module fails to load

Attached to Project: Arch Linux
Opened by loqs (loqs) - Friday, 31 March 2017, 18:53 GMT
Last edited by Andreas Radke (AndyRTR) - Sunday, 09 April 2017, 07:52 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Laurent Carlier (lordheavy)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Package requires patching the same as https://bugs.archlinux.org/task/52734 so that it can load successfully on 4.9 or later kernels
https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-304xx/trunk/debian/module/debian/patches/drm-driver-legacy.patch?revision=7149&view=co

Additional info:
Affected versions 304.135-2 and 304.135-3
Steps to reproduce:
Attempt to load the module
Note:
I can not test this personally due to lack of hardware but it has been confirmed here https://bbs.archlinux.org/viewtopic.php?pid=1701275#p1701275
If no maintainer can test the package also due to lack of hardware perhaps the package should be dropped?
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Sunday, 09 April 2017, 07:52 GMT
Reason for closing:  Fixed
Additional comments about closing:  patch applied to 304.135-5
Comment by SanskritFritz (SanskritFritz) - Saturday, 01 April 2017, 18:44 GMT
I can confirm the fix. Please don't drop the package.

Loading...